Skip to main content
POST
/
co
/
rama-judicial
/
cases
/
search
/
v1
Rama Judicial Cases Search
curl --request POST \
  --url https://api.croma.run/co/rama-judicial/cases/search/v1 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "PEDRO CIFUENTES"
}
'
{
  "data": {
    "cases": [
      {
        "id": 123,
        "connection_id": 123,
        "registration_number": "<string>",
        "start_date": "2023-12-25",
        "last_action_date": "2023-12-25",
        "court": "<string>",
        "state": "<string>",
        "parties_text": "<string>",
        "is_private": true
      }
    ],
    "pagination": {
      "total": 123,
      "page_size": 123,
      "total_pages": 123,
      "page": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.croma.run/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer YOUR_API_KEY

Body

application/json
name
string
required

Person or company name to search for. Letters, digits, spaces, .,'&- allowed.

Required string length: 3 - 200
person_type
enum<string>
default:nat

nat for natural persons, jur for juridical entities.

Available options:
nat,
jur
active_only
boolean
default:false

When true, only return cases with activity in the last 30 days.

court_code
string
default:""

Optional court code to scope the search to one court.

page
integer
default:1

1-based page number for paginated results.

Required range: 1 <= x <= 1000

Response

Successful response

data
object
required